from django import forms
from django.contrib.auth.forms import UserCreationForm
from .models import User

class CustomUserCreationForm(UserCreationForm):
    username = forms.CharField(
        label='Nama',
        max_length=150,
        widget=forms.TextInput(attrs={'class': 'form-control'}),
        required=True
    )

    password1 = forms.CharField(
        label='Password',
        widget=forms.PasswordInput(attrs={'class': 'form-control'}),
        required=True
    )

    password2 = forms.CharField(
        label='Konfirmasi Password',
        widget=forms.PasswordInput(attrs={'class': 'form-control'}),
        required=True
    )

    tanggal_lahir = forms.DateField(
        widget=forms.DateInput(attrs={'type': 'date', 'class': 'form-control'}),
        label='Tanggal Lahir',
        required=True
    )
    
    nomor_hp = forms.CharField(
        widget=forms.TextInput(attrs={'type': 'tel', 'class': 'form-control'}),
        label='Nomor HP',
        required=True
    )
    
    url_blog = forms.URLField(
        widget=forms.URLInput(attrs={'class': 'form-control'}),
        label='URL Blog',
        required=True
    )
    
    deskripsi_diri = forms.CharField(
        widget=forms.Textarea(attrs={'class': 'form-control', 'rows': 4}),
        label='Deskripsi Diri',
        required=True
    )
    
    kode_sku = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}),
        label='Kode SKU',
        required=True
    )
    
    id_transaksi = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}),
        label='ID Transaksi',
        required=True
    )
    
    class Meta:
        model = User
        fields = ['username', 'first_name', 'last_name', 'email', 'password1', 'password2', 
                 'tanggal_lahir', 'nomor_hp', 'url_blog', 'deskripsi_diri', 'kode_sku', 'id_transaksi']