# Generated by Django 5.1.7 on 2025-03-16 03:54

import apps.form_user.models
import django.contrib.auth.models
import django.core.validators
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('form_user', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='user',
            options={'verbose_name': 'user', 'verbose_name_plural': 'users'},
        ),
        migrations.AlterModelManagers(
            name='user',
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.RemoveField(
            model_name='user',
            name='name',
        ),
        migrations.AddField(
            model_name='user',
            name='date_joined',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined'),
        ),
        migrations.AddField(
            model_name='user',
            name='first_name',
            field=models.CharField(blank=True, max_length=150, verbose_name='first name'),
        ),
        migrations.AddField(
            model_name='user',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='user',
            name='id_transaksi',
            field=models.CharField(default='T-0000000000', max_length=12, validators=[django.core.validators.MinLengthValidator(12), django.core.validators.RegexValidator('T-[0-9]{10}', message='Format ID transaksi tidak valid')]),
        ),
        migrations.AddField(
            model_name='user',
            name='is_active',
            field=models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active'),
        ),
        migrations.AddField(
            model_name='user',
            name='is_staff',
            field=models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status'),
        ),
        migrations.AddField(
            model_name='user',
            name='is_superuser',
            field=models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status'),
        ),
        migrations.AddField(
            model_name='user',
            name='kode_sku',
            field=models.CharField(default='ABC-00000', max_length=8, validators=[django.core.validators.MinLengthValidator(8), django.core.validators.RegexValidator('[a-z][A-Z]{3}-[0-9]{5}', message='Format kode SKU tidak valid')]),
        ),
        migrations.AddField(
            model_name='user',
            name='last_login',
            field=models.DateTimeField(blank=True, null=True, verbose_name='last login'),
        ),
        migrations.AddField(
            model_name='user',
            name='last_name',
            field=models.CharField(blank=True, max_length=150, verbose_name='last name'),
        ),
        migrations.AddField(
            model_name='user',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions'),
        ),
        migrations.AddField(
            model_name='user',
            name='username',
            field=models.CharField(default='user', error_messages={'unique': 'Username ini sudah digunakan.'}, max_length=150, unique=True, validators=[django.core.validators.RegexValidator('^[\\w\\.\\-]+$', message="Username hanya boleh berisi huruf, angka, dan karakter ('.','_','-').")], verbose_name='username'),
        ),
        migrations.AlterField(
            model_name='user',
            name='email',
            field=models.EmailField(max_length=254, unique=True, validators=[apps.form_user.models.validate_email], verbose_name='email address'),
        ),
        migrations.AlterField(
            model_name='user',
            name='nomor_hp',
            field=models.CharField(max_length=15, validators=[django.core.validators.MinLengthValidator(8), django.core.validators.RegexValidator('^[1-9]\\d{1,3}\\d{6,13}$', message='Format nomor HP tidak valid. Gunakan format tanpa simbol: [kode negara][nomor] dan tidak diawali dengan 0')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='password',
            field=models.CharField(max_length=128, verbose_name='password'),
        ),
        migrations.AlterField(
            model_name='user',
            name='url_blog',
            field=models.URLField(blank=True, null=True, validators=[apps.form_user.models.validate_url]),
        ),
    ]
