from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .forms import CustomUserCreationForm

def create_user(request):
    if request.method == 'POST':
        form = CustomUserCreationForm(request.POST)
        if form.is_valid():
            user = form.save()
            request.session['username'] = user.username
            request.session['email'] = user.email
            request.session['tanggal_lahir'] = form.cleaned_data['tanggal_lahir'].strftime('%Y-%m-%d')
            request.session['nomor_hp'] = form.cleaned_data['nomor_hp']
            request.session['url_blog'] = form.cleaned_data['url_blog']
            request.session['deskripsi_diri'] = form.cleaned_data['deskripsi_diri']
            request.session['kode_sku'] = form.cleaned_data['kode_sku']
            request.session['id_transaksi'] = form.cleaned_data['id_transaksi']
            return HttpResponseRedirect('/success/')
    else:
        form = CustomUserCreationForm()
    return render(request, 'form_user/create_user.html', {'form': form})

def success_view(request):
    username = request.session.get('username')
    email = request.session.get('email')
    tanggal_lahir = request.session.get('tanggal_lahir')
    nomor_hp = request.session.get('nomor_hp')
    url_blog = request.session.get('url_blog')
    deskripsi_diri = request.session.get('deskripsi_diri')
    kode_sku = request.session.get('kode_sku')
    id_transaksi = request.session.get('id_transaksi')
    
    return render(request, 'form_user/success.html', {
        'username': username,
        'email': email,
        'tanggal_lahir': tanggal_lahir,
        'nomor_hp': nomor_hp,
        'url_blog': url_blog,
        'deskripsi_diri': deskripsi_diri,
        'kode_sku': kode_sku,
        'id_transaksi': id_transaksi
    })

